import 'package:flutter/material.dart';
import 'package:flutter_flicker/configuration/configuration.dart';

class FlickerElevatedButton extends StatelessWidget {
  const FlickerElevatedButton({
    Key? key,
    required this.onPressed,
    this.child,
    this.primaryColor,
  }) : super(key: key);

  final VoidCallback onPressed;
  final Widget? child;
  final Color? primaryColor;

  @override
  Widget build(BuildContext context) {
    return ElevatedButton(
      style: ElevatedButton.styleFrom(
        primary: this.primaryColor == null
            ? FlickerConfiguration.colors.elevatedButtonPrimary
            : this.primaryColor,
      ),
      onPressed: onPressed,
      child: child,
    );
  }
}
